cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voice-previews/localize/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.voices.get_localize_preview("job_01hasync")
if job["status"] == "ready":
print(job["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.voices.getLocalizePreview("job_01hasync");
if (job.status === "ready") {
console.log(job.generatedVoiceId);
}{
"generation_job_id": "<string>",
"status": "<string>",
"language_code": "<string>",
"generated_voice_id": "<string>",
"text": "<string>",
"error": {
"code": "<string>",
"detail": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Voice Previews
Get localize preview
Get the status of a voice localization job. Once status is ready, generated_voice_id can be downloaded and saved like any other voice preview.
GET
/
v1
/
voice-previews
/
localize
/
{generation_job_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voice-previews/localize/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.voices.get_localize_preview("job_01hasync")
if job["status"] == "ready":
print(job["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.voices.getLocalizePreview("job_01hasync");
if (job.status === "ready") {
console.log(job.generatedVoiceId);
}{
"generation_job_id": "<string>",
"status": "<string>",
"language_code": "<string>",
"generated_voice_id": "<string>",
"text": "<string>",
"error": {
"code": "<string>",
"detail": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Download completed voice preview
Download the completed localized preview.
Save voice preview
Save the chosen localized voice.
Localizing a voice
Generate, audition, and save localized previews.
Authorizations
Breeze Developer API key.
Path Parameters
Job identifier returned by POST /v1/voice-previews/localize. See Async jobs.
Response
Voice localization job.
Language the localized preview speaks, once the job is ready. See supported language codes.
Preview ID to audition and save, available once the job is ready.
Script the localized preview reads.
Show child attributes
Show child attributes

